OpenTTD

Private Member Functions
NIHTown Class Reference
Inheritance diagram for NIHTown:

## Private Member Functions
bool | IsInspectable (uint index) const
| Is the item with the given index inspectable? More...
uint | GetParent (uint index) const
| Get the parent "window_number" of a given instance. More...
const void * | GetInstance (uint index) const
| Get the instance given an index. More...
const void * | GetSpec (uint index) const
| Get (NewGRF) specs given an index. More...
void | SetStringParameters (uint index) const
| Set the string parameters to write the right data for a STRINGn. More...
uint32 | GetGRFID (uint index) const
| Get the GRFID of the file that includes this item. More...
bool | PSAWithParameter () const
| Used to decide if the PSA needs a parameter or not. More...
uint | GetPSASize (uint index, uint32 grfid) const
| Allows to know the size of the persistent storage. More...
uint | Resolve (uint index, uint var, uint param, bool *avail) const
| Resolve (action2) variable for a given index. More...
const int32 * | GetPSAFirstPosition (uint index, uint32 grfid) const
| Gets the first position of the array containing the persistent storage. More...

## Additional Inherited Members
Public Member Functions inherited from NIHelper
virtual | ~NIHelper ()
| Silence a warning. More...
Protected Member Functions inherited from NIHelper
void | SetSimpleStringParameters (StringID string, uint32 index) const
| Helper to make setting the strings easier. More...
void | SetObjectAtStringParameters (StringID string, uint32 index, TileIndex tile) const
| Helper to make setting the strings easier for objects at a specific tile. More...

## Detailed Description

Definition at line 494 of file newgrf_debug_data.h.

## Member Function Documentation

## ◆ GetGRFID()

uint32 NIHTown::GetGRFID | ( | uint | index | ) | const
| inline private virtual

Get the GRFID of the file that includes this item.

Parameters

  index | index to check.

Returns
  GRFID of the item. 0 means that the item is not inspectable.

Implements NIHelper.

Definition at line 500 of file newgrf_debug_data.h.

## ◆ GetInstance()

const void* NIHTown::GetInstance | ( | uint | index | ) | const
| inline private virtual

Get the instance given an index.

Parameters

  index | the index to get the instance for.

Returns
  the instance.

Implements NIHelper.

Definition at line 497 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Get().

## ◆ GetParent()

uint NIHTown::GetParent | ( | uint | index | ) | const
| inline private virtual

Get the parent "window_number" of a given instance.

Parameters

  index | the instance to get the parent for.

Returns
  the parent's window_number or UINT32_MAX if there is none.

Implements NIHelper.

Definition at line 496 of file newgrf_debug_data.h.

## ◆ GetPSAFirstPosition()

const int32* NIHTown::GetPSAFirstPosition | ( | uint | index,
|  | uint32 | grfid
| ) |  | const
| inline private virtual

Gets the first position of the array containing the persistent storage.

Parameters

  index | Index of the item.
  grfid | Parameter for the PSA. Only required for items with parameters.

Returns
  Pointer to the first position of the storage array or NULL if not present.

Reimplemented from NIHelper.

Definition at line 510 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Get().

## ◆ GetPSASize()

uint NIHTown::GetPSASize | ( | uint | index,
|  | uint32 | grfid
| ) |  | const
| inline private virtual

Allows to know the size of the persistent storage.

Parameters

  index | Index of the item.
  grfid | Parameter for the PSA. Only required for items with parameters.

Returns
  Size of the persistent storage in indices.

Reimplemented from NIHelper.

Definition at line 502 of file newgrf_debug_data.h.

References cpp_lengthof.

## ◆ GetSpec()

const void* NIHTown::GetSpec | ( | uint | index | ) | const
| inline private virtual

Get (NewGRF) specs given an index.

Parameters

  index | the index to get the specs for for.

Returns
  the specs.

Implements NIHelper.

Definition at line 498 of file newgrf_debug_data.h.

## ◆ IsInspectable()

bool NIHTown::IsInspectable | ( | uint | index | ) | const
| inline private virtual

Is the item with the given index inspectable?

Parameters

  index | the index to check.

Returns
  true iff the index is inspectable.

Implements NIHelper.

Definition at line 495 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::IsValidID().

## ◆ PSAWithParameter()

bool NIHTown::PSAWithParameter | ( |  | ) | const
| inline private virtual

Used to decide if the PSA needs a parameter or not.

Returns
  True iff this item has a PSA that requires a parameter.

Reimplemented from NIHelper.

Definition at line 501 of file newgrf_debug_data.h.

## ◆ Resolve()

uint NIHTown::Resolve | ( | uint | index,
|  | uint | var,
|  | uint | param,
|  | bool * | avail
| ) |  | const
| inline private virtual

Resolve (action2) variable for a given index.

Parameters

  index | The (instance) index to resolve the variable for.
  var | The variable to actually resolve.
  param | The varaction2 0x60+x parameter to pass.
  avail | Return whether the variable is available.

Returns
  The resolved variable's value.

Implements NIHelper.

Definition at line 504 of file newgrf_debug_data.h.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_town_pool >::Get(), TownResolverObject::GetScope(), ScopeResolver::GetVariable(), and VSG_SCOPE_SELF.

## ◆ SetStringParameters()

void NIHTown::SetStringParameters | ( | uint | index | ) | const
| inline private virtual

Set the string parameters to write the right data for a STRINGn.

Parameters

  index | the index to get the string parameters for.

Implements NIHelper.

Definition at line 499 of file newgrf_debug_data.h.

References NIHelper::SetSimpleStringParameters().

The documentation for this class was generated from the following file:

- src/table/newgrf_debug_data.h